# -*- coding: utf-8 -*-
"""todo01.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1aQiEQGtVvYvublRkolgBl75umuxBMrnY
"""

import pandas as pd
import requests
from bs4 import BeautifulSoup
url = "https://en.wikipedia.org/wiki/Billboard_Year-End_Hot_100_singles_of_1970"
response = requests.get(url)
response.text

soup = BeautifulSoup(response.text)
table = soup.find('table')

d_dictionary = {}
for i in table.findAll('tr')[1:]:
  all = i.findAll('a')
  d_dictionary[all[0].string] = [j.string for j in all[1:]]

for key, value in d_dictionary.items():
  print(key,":",value)

data_diss = {'Title':[], 'Artist': []}
for key, value in d_dictionary.items():
  data_diss['Title'].append(key)
  data_diss['Artist'].append(value)

data = pd.DataFrame(data_diss)
data

data.to_csv("hotSingle.csv")